Next: _gfortran_caf_sync_images, Previous: _gfortran_caf_event_query, Up: Function ABI Documentation

#### 7.2.22 `_gfortran_caf_sync_all` — All-image barrier

Description:
  Synchronization of all images in the current team; the program only continues on a given image after this function has been called on all images of the current team. Additionally, it ensures that all pending data transfers of previous segment have completed.
Syntax:
  `void _gfortran_caf_sync_all (int *stat, char *errmsg, size_t errmsg_len)`
Arguments:

  stat | intent(out) Stores the status STAT= and may be NULL.
  errmsg | intent(out) When an error occurs, this will be set to an error message; may be NULL.
  errmsg_len | intent(in) the buffer size of errmsg